precede.cpp File Reference
`#include "test/int.hh"`

Go to the source code of this file.

## Classes

class | Test::Int::Precede::Single
| Test for single value precedence constraint More...
class | Test::Int::Precede::Multi
| Test for multiple value precedence constraint More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::Precede
| Tests for value precedence constraints

## Variables

Single | Test::Int::Precede::_a (2, 3)
Single | Test::Int::Precede::_b (1, 4)
Multi | Test::Int::Precede::_c (Gecode::IntArgs({1, 2, 3}))
Multi | Test::Int::Precede::_d (Gecode::IntArgs({3, 2, 1}))
Multi | Test::Int::Precede::_e (Gecode::IntArgs({4, 2, 3, 1}))